unit demo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ToolWin, Tips, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Tips: TTips;
    ToolBar1: TToolBar;
    ExecBtn: TToolButton;
    ImageList1: TImageList;
    InfoBtn: TToolButton;
    Bevel1: TBevel;
    Label1: TLabel;
    AppName: TEdit;
    Label2: TLabel;
    Header: TEdit;
    Label3: TLabel;
    Lang: TComboBox;
    Label4: TLabel;
    SaveKey: TEdit;
    Label7: TLabel;
    TipBack: TButton;
    Label8: TLabel;
    Title: TEdit;
    Colors: TColorDialog;
    SaveShow: TCheckBox;
    ShowAt: TCheckBox;
    Label5: TLabel;
    TipHelp: TEdit;
    Load: TToolButton;
    Save: TToolButton;
    procedure ExecBtnClick(Sender: TObject);
    procedure TipBackClick(Sender: TObject);
    procedure InfoBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure LoadClick(Sender: TObject);
    procedure SaveClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ExecBtnClick(Sender: TObject);
begin

     Tips.AppName        := AppName.Text;
     Tips.Header         := Header.Text;
  if Lang.ItemIndex = 0 then Tips.Language := laEnglish
   else Tips.Language    := laGerman;
     Tips.SaveKey        := SaveKey.Text;
     Tips.SaveShowAtStart:= SaveShow.Checked;
     Tips.ShowAtStart    := ShowAt.Checked;
     Tips.TipBackground  := Colors.Color;
     Tips.TipHelp        := TipHelp.Text;
     Tips.Title          := Title.Text;

  if Tips.Execute then ShowAt.Checked := Tips.ShowAtStart;
end;

procedure TForm1.TipBackClick(Sender: TObject);
begin
     if Colors.Execute then Label7.Color:= Colors.Color;
end;

procedure TForm1.InfoBtnClick(Sender: TObject);
begin
ShowMessage('TTips is originally  by Nuno M. Antunes, Portugal (1995).'+#13+#13+
            'TTips (2) + Demoapp is now  by Heiko Webers, Germany (1997).'+#13+#13+
            'Comments, suggestions to HeikoWebers@usa.net...');

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     Lang.ItemIndex := 0;
end;

procedure TForm1.LoadClick(Sender: TObject);
begin
     ShowAt.Checked := Tips.LoadFromRegistry;
end;

procedure TForm1.SaveClick(Sender: TObject);
begin
     Tips.SaveToRegistry(ShowAt.Checked);
end;

end.
